VMTKCENTERLINEOFFSETATTRIBUTES(1)

NAME
vmtkcenterlineoffsetattributes - vmtk script vmtkcenterlineoffsetattributes

DESCRIPTION
Automatic piping vmtkcenterlineoffsetattributes Parsing options vmtkcenterlineoffsetattributes

vmtkcenterlineoffsetattributes : offset centerline attributes relative

    to a bifurcation reference system, in such a way that the abscissa of the closest point the the origin is zero, and the centerline normal at that point coincides with the bifurcation reference system normal

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input split centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-referencesystems ReferenceSystems (vtkPolyData,1): bifurcation

    reference systems

-referencesystemsfile ReferenceSystemsInputFileName (str,1):

    filename for the default ReferenceSystems reader

-referencegroupid ReferenceGroupId (int,1); default=-1: group id of

    the reference system to which attributes have to be offset

-replaceattributes ReplaceAttributes (bool,1); default=1: overwrite

    the existing attributes

-abscissasarray AbscissasArrayName (str,1); default=Abscissas: name

    of the array where centerline abscissas are stored

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals: name of the array where centerline normals are stored

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds: name of

    the array where centerline group ids are stored

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds: name of the array where centerline ids are stored

-referencesystemsnormalarray ReferenceSystemsNormalArrayName

    (str,1); default=Normal: name of the array where reference system normals are stored

-offsetabscissasarray OffsetAbscissasArrayName (str,1);

    default=OffsetAbscissas: name of the array where offset centerline abscissas have to be stored if ReplaceAttributes is off

-offsetnormalsarray OffsetNormalsArrayName (str,1);

    default=OffsetNormals: name of the array where offset centerline normals have to be stored if ReplaceAttributes is off

-interactive Interactive (bool,1); default=0

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines

-referencegroupid ReferenceGroupId (int,1); default=-1: group id of

    the reference system to which attributes are offset

-offsetabscissasarray OffsetAbscissasArrayName (str,1);

    default=OffsetAbscissas: name of the array where offset centerline abscissas are stored if ReplaceAttributes is off

-offsetnormalsarray OffsetNormalsArrayName (str,1);

    default=OffsetNormals: name of the array where offset centerline normals are stored if ReplaceAttributes is off

-abscissasarray AbscissasArrayName (str,1); default=Abscissas: name

    of the array where centerline abscissas are stored

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals: name of the array where centerline normals are stored